package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.fake;

import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.autotests.irt.testutils.json.JsonUtils;

/**
 * Created by semkagtn on 01.07.15.
 */
public class MobileMultiplierInfo {

    @JsonProperty("last_change")
    private String lastChange;

    @JsonProperty("hierarchical_multiplier_id")
    private Long hierarchicalMultiplierId;

    @JsonProperty("multiplier_pct")
    private Integer multiplierPct;

    public String getLastChange() {
        return lastChange;
    }

    public void setLastChange(String lastChange) {
        this.lastChange = lastChange;
    }

    public Long getHierarchicalMultiplierId() {
        return hierarchicalMultiplierId;
    }

    public void setHierarchicalMultiplierId(Long hierarchicalMultiplierId) {
        this.hierarchicalMultiplierId = hierarchicalMultiplierId;
    }

    public Integer getMultiplierPct() {
        return multiplierPct;
    }

    public void setMultiplierPct(Integer multiplierPct) {
        this.multiplierPct = multiplierPct;
    }

    @Override
    public String toString() {
        return JsonUtils.toString(this);
    }
}
